Bug 150988 - Emails appearing in the incorrect folders
Summary: Emails appearing in the incorrect folders
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution   
(Show other bugs)
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Malcolm
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-03-13 16:23 UTC by Paul F. Johnson
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-20 19:01:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot demonstrating the problem (9.98 KB, image/png)
2005-03-13 16:23 UTC, Paul F. Johnson
no flags Details

Description Paul F. Johnson 2005-03-13 16:23:32 UTC
Description of problem:
I have a number of filters and folders set up in my Inbox folders. Normally,
email which has failed the filter tests (for movement to other folders) are left
in the Inbox folder. The emails which have been filtered appear in the correct
folder and not in the Inbox folder. They currently are appearing in there, but
with a line through them.

Version-Release number of selected component (if applicable):
2.2.0-5

How reproducible:
Always

Steps to Reproduce:
1. Download email
2. Email goes through the filter and moved to correct folders
3. 
  
Actual results:
Moved email still in Inbox folder, but marked as deleted

Expected results:
Email which has been filtered to other folders should not be replicated in the
Inbox folder.

Additional info:
The screenshot attachment demonstrates the problem. The top 2 emails are
unfiltered (from a mailing lists), the bottom one is filtered to a folder called
"wxWidgets".

The filter rules set for that is

Execute actions if any criteria are met
Recipients contains wx-users@lists.wxwidgets.org
Then
Move to Folder Inbox/wxWidgets
Stop Processing

Comment 1 Paul F. Johnson 2005-03-13 16:23:33 UTC
Created attachment 111946 [details]
Screenshot demonstrating the problem

Comment 2 Paul F. Johnson 2005-03-13 16:31:00 UTC
The emails are appearing correctly in the filtered to folders. Forgot to mention
that!

Comment 3 Dave Malcolm 2005-03-14 18:10:22 UTC
Sounds like you've got View->Hide Deleted Messages unselected.  Try
expunging the Inbox, or setting View->Hide Deleted Messages

Comment 4 Paul F. Johnson 2005-03-14 21:12:02 UTC
I never needed to do that in previous versions. I dislike the
View->Hide deleted messages as sometimes I want to get them back.

Expunging the inbox does work, but it does seem that it shouldn't be
required.

Comment 5 Paul F. Johnson 2005-03-20 19:01:28 UTC
Seems happy in the current release. Changing status


Note You need to log in before you can comment on or make changes to this bug.